Create subscription member

Add member to a subscription

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID. A unique identifier for the loyalty program.

Request

Payload for adding a subscription member.
memberContactIdslist of integersRequired
Required, each item must be greater than or equal to 1
contactIdintegerOptional
Required if LoyaltySubscriptionId is not provided, must be greater than 0
loyaltySubscriptionIdstringOptional<=64 characters
Required if ContactId is not provided, max length 64

Response

Successfully added subscription member.
createdAtstring
Timestamp when the subscription member was created.
memberContactIdslist of integers
List of unique member contact IDs.
organizationIdinteger
Unique identifier of the organization.
ownerContactIdinteger
Unique identifier of the subscription owner.
updatedAtstring
Timestamp when the subscription member was last updated.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error